Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jrummikub.view
Interface IStonePanel

All Known Subinterfaces:
  IHandPanel, IStoneCollectionPanel, ITablePanel

All Known Implementing Classes:
  AbstractStonePanel, HandPanel, StoneCollectionPanel, TablePanel

    public interface IStonePanel

An interface for view elements that can emit click events for clicks on stones

Method Summary
`IEvent2<Stone,java.lang.Boolean>` | `getRangeClickEvent()` the range click event is emitted when the player clicks on the table/hand/ etc.
`IEvent2<Stone,java.lang.Boolean>` | `getSetClickEvent()` the set click event is emitted when the player clicks on the table/hand/ etc.
`IEvent2<Stone,java.lang.Boolean>` | `getStoneClickEvent()` the click event is emitted when the player clicks on the table/hand/etc.

Method Detail

### getStoneClickEvent

    IEvent2<Stone,java.lang.Boolean> getStoneClickEvent()

  the click event is emitted when the player clicks on the table/hand/etc.

  Returns:
    the event; the first parameter is the stone that was clicked on, the second is true when the player wants to add stones to his selection instead of replacing them

### getRangeClickEvent

    IEvent2<Stone,java.lang.Boolean> getRangeClickEvent()

  the range click event is emitted when the player clicks on the table/hand/ etc. and wants to select a range instead of a single stone

  Returns:
    the event; the first parameter is the stone that was clicked on, the second is true when the player wants to add stones to his selection instead of replacing them

### getSetClickEvent

    IEvent2<Stone,java.lang.Boolean> getSetClickEvent()

  the set click event is emitted when the player clicks on the table/hand/ etc. and wants to select a whole set instead of a single stone

  Returns:
    the event; the first parameter the stone that was clicked on, the second is true when the player wants to add stones to his selection instead of replacing them

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD